[arch-commits] Commit in gnome-music/repos/extra-x86_64 (3 files)

Jan Steffens heftig at archlinux.org
Sat Sep 14 09:53:26 UTC 2019


    Date: Saturday, September 14, 2019 @ 09:53:26
  Author: heftig
Revision: 362657

archrelease: copy trunk to extra-x86_64

Added:
  gnome-music/repos/extra-x86_64/PKGBUILD
    (from rev 362656, gnome-music/trunk/PKGBUILD)
  gnome-music/repos/extra-x86_64/loadfix.diff
    (from rev 362656, gnome-music/trunk/loadfix.diff)
Deleted:
  gnome-music/repos/extra-x86_64/PKGBUILD

--------------+
 PKGBUILD     |  119 +++++++++++++++++++++++++++++----------------------------
 loadfix.diff |   13 ++++++
 2 files changed, 75 insertions(+), 57 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-14 09:52:23 UTC (rev 362656)
+++ PKGBUILD	2019-09-14 09:53:26 UTC (rev 362657)
@@ -1,57 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gnome-music
-pkgver=3.34.0
-pkgrel=1
-epoch=1
-pkgdesc="Music player and management application"
-url="https://wiki.gnome.org/Apps/Music"
-arch=(x86_64)
-license=(GPL)
-depends=(grilo grilo-plugins tracker-miners libdmapsharing libmediaart gtk3 gvfs
-         python-gobject python-cairo gst-plugins-base python-requests libdazzle)
-makedepends=(gobject-introspection git meson yelp-tools appstream-glib)
-optdepends=('gst-plugins-good: Extra media codecs'
-            'gst-plugins-ugly: Extra media codecs'
-            'gst-plugins-bad: Extra media codecs'
-            'gst-libav: Extra media codecs')
-groups=(gnome)
-_commit=7ef36ed4b3a00c5af3f0438e16afa45fb8ec83c7  # tags/3.34.0^0
-source=("git+https://gitlab.gnome.org/GNOME/gnome-music.git#commit=$_commit"
-        "git+https://gitlab.gnome.org/GNOME/libgd.git"
-        "git+https://gitlab.gnome.org/mschraal/gfm.git")
-sha256sums=('SKIP'
-            'SKIP'
-            'SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.subprojects/libgd.url "$srcdir/libgd"
-  git config --local submodule.subprojects/gfm.url "$srcdir/gfm"
-  git submodule update
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # appdata style violations
-  meson test -C build --print-errorlogs || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-
-  python -m compileall -d /usr/lib "$pkgdir/usr/lib"
-  python -O -m compileall -d /usr/lib "$pkgdir/usr/lib"
-}

Copied: gnome-music/repos/extra-x86_64/PKGBUILD (from rev 362656, gnome-music/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-14 09:53:26 UTC (rev 362657)
@@ -0,0 +1,62 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gnome-music
+pkgver=3.34.0
+pkgrel=2
+epoch=1
+pkgdesc="Music player and management application"
+url="https://wiki.gnome.org/Apps/Music"
+arch=(x86_64)
+license=(GPL)
+depends=(grilo grilo-plugins tracker-miners libdmapsharing libmediaart gtk3 gvfs
+         python-gobject python-cairo gst-plugins-base python-requests libdazzle)
+makedepends=(gobject-introspection git meson yelp-tools appstream-glib)
+optdepends=('gst-plugins-good: Extra media codecs'
+            'gst-plugins-ugly: Extra media codecs'
+            'gst-plugins-bad: Extra media codecs'
+            'gst-libav: Extra media codecs')
+groups=(gnome)
+_commit=7ef36ed4b3a00c5af3f0438e16afa45fb8ec83c7  # tags/3.34.0^0
+source=("git+https://gitlab.gnome.org/GNOME/gnome-music.git#commit=$_commit"
+        "git+https://gitlab.gnome.org/GNOME/libgd.git"
+        "git+https://gitlab.gnome.org/mschraal/gfm.git"
+        loadfix.diff)
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP'
+            'abbae6f46e56efbddc8403530cf10db41f5d4edb3b76b1c667d889014e7351a4')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  # https://bugs.archlinux.org/task/63747
+  git apply -3 ../loadfix.diff
+
+  git submodule init
+  git config --local submodule.subprojects/libgd.url "$srcdir/libgd"
+  git config --local submodule.subprojects/gfm.url "$srcdir/gfm"
+  git submodule update
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # appdata style violations
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+
+  python -m compileall -d /usr/lib "$pkgdir/usr/lib"
+  python -O -m compileall -d /usr/lib "$pkgdir/usr/lib"
+}

Copied: gnome-music/repos/extra-x86_64/loadfix.diff (from rev 362656, gnome-music/trunk/loadfix.diff)
===================================================================
--- loadfix.diff	                        (rev 0)
+++ loadfix.diff	2019-09-14 09:53:26 UTC (rev 362657)
@@ -0,0 +1,13 @@
+diff --git i/meson.build w/meson.build
+index b0261a5e..d43fe512 100644
+--- i/meson.build
++++ w/meson.build
+@@ -85,7 +85,7 @@ bin_config.set('pyexecdir', py_installation.get_path('stdlib'))
+ bin_config.set('schemasdir', PKGDATA_DIR)
+ # Used for libgd/gfm
+ bin_config.set('pkglibdir', PKGLIB_DIR)
+-bin_config.set('gfmlibdir', '')
++bin_config.set('gfmlibdir', PKGLIB_DIR)
+ 
+ bin_config.set('local_build', 'False')
+ 


More information about the arch-commits mailing list